#include "pch.h"
#include "GroundTileTypeManager.h"

#include "GridSystem/WorldTile.h"

GroundTileTypeManager* GroundTileTypeManager::m_pInstance = nullptr;

GroundTileTypeManager* GroundTileTypeManager::GetInstance() {
	if (m_pInstance == nullptr) {
		m_pInstance = new GroundTileTypeManager();
	}
	return m_pInstance;	
}
void GroundTileTypeManager::DestroyInstance() {
	delete m_pInstance->AIR;
	delete m_pInstance->DIRT;
	delete m_pInstance->STONE;
	delete m_pInstance->LAVA;
	delete m_pInstance->IRON;
	delete m_pInstance->BRONZE;
	delete m_pInstance->GOLD;
	delete m_pInstance->HARD_LEFT;
	delete m_pInstance->HARD_RIGHT;
	delete m_pInstance->HARD_MIDDLE;
	delete m_pInstance->GRASS;
	
	delete m_pInstance;
}
GroundTileTypeManager::GroundTileTypeManager() = default;

GroundTileTypeManager::~GroundTileTypeManager() = default;
